log4j.rootLogger=error, stdout

log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout

# Print the date in ISO 8601 format
log4j.appender.stdout.layout.ConversionPattern=%d [%t] %-5p %c - %m%n

log4j.appender.R=org.apache.log4j.RollingFileAppender
log4j.appender.R.File=application.log

log4j.appender.R.MaxFileSize=100KB
# Keep one backup file
log4j.appender.R.MaxBackupIndex=1

log4j.appender.R.layout=org.apache.log4j.PatternLayout
log4j.appender.R.layout.ConversionPattern=%p %t %c - %m%n

log4j.category.org.springframework=INFO

log4j.category.org.hibernate.SQL=DEBUG
log4j.category.org.hibernate.type=DEBUG
#log4j.category.org.hibernate.cache=DEBUG

# Spring MVC
#log4j.category.org.springframework.web=DEBUG
#log4j.category.org.springframework.validation=DEBUG
#log4j.category.org.springframework.jdbc=DEBUG
#log4j.category.org.springframework.web.bind=TRACE

#Transaction logging example
#log4j.category.org.springframework.orm.jpa=TRACE
#log4j.category.org.springframework.transaction=TRACE
#log4j.category.org.springframework.transaction.interceptor=TRACE
#log4j.category.org.springframework.jdbc=TRACE
